<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVatEntriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vat_entries', function (Blueprint $table) {
            $table->id();
            $table->decimal('output_vat', 15, 2)->nullable();
            $table->decimal('input_vat', 15, 2)->nullable();
            $table->decimal('overpaid_vat', 15, 2)->nullable();
            $table->decimal('total_overpaid', 15, 2)->nullable();
            $table->decimal('total_underpaid', 15, 2)->nullable();
            $table->string('transaction_category')->nullable();
            $table->date('date')->nullable();
            $table->string('staff')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vat_entries');
    }
}
